package com.ruoyi.tcZz.service;

import com.ruoyi.tcZz.domain.reponse.ScreenOpinionReportResponse;
import com.ruoyi.tcZz.domain.reponse.ScreenSourceResponse;
import com.ruoyi.tcZz.domain.reponse.ScreenSupervisionResponse;

/**
 * 大屏接口服务层
 */
public interface ScreenService {


    /**
     * 大屏监管对象
     *
     * @return
     */

    ScreenSupervisionResponse getScreenSupervision();


    /**
     * 大屏数据来源
     *
     * @return
     */

    ScreenSourceResponse getScreenSource();

    /**
     * 大屏舆情报告
     *
     * @return
     */

    ScreenOpinionReportResponse getScreenOpinionReport();
}
